/* Copyright (C) 1998-2024 by Northwoods Software Corporation. All Rights Reserved. */
var tagsDict = {"extensions":["Accessibility","Arranging","AvoidsLinksRouter","BalloonLink","CheckBoxes","ColumnResizing","CurvedLinkReshaping","DataInspector","Dimensioning","DragCreating","DragZooming","DrawCommandHandler","euler","Fishbone","FreehandDrawing","GeometryReshaping","GuidedDragging","Hyperlink","LinkLabelDragging","LinkLabelOnPathDragging","LinkLabelRouter","LinkShifting","LocalStorageCommandHandler","NodeLabelDragging","NonRealtimeDragging","OrthogonalLinkReshaping","OverviewResizing","PackedHierarchy","PackedLayout","PanelLayoutFlow","Parallel","ParallelRoute","PolygonDrawing","PolylineLinking","PortShifting","radial","radialPartition","RealtimeDragSelecting","Rescaling","ResizeMultiple","Robot","RotateMultiple","ScrollingTable","SectorReshaping","Serpentine","SnapLinkReshaping","Spiral","SpotRotating","SwimLaneLayout","Table","TextEditor","TreeMap","VirtualizedPacked","ZoomSlider","floorplannerTS/index"],"tables":["addRemoveColumns","barCharts","candlestickCharts","CheckBoxes","ColumnResizing","connectionBoxNode","dataFlow","dataFlowVertical","dragDropFields","dragOutFields","dynamicPieChart","dynamicPorts","entityRelationship","familyTree","familyTreeJP","IVRtree","kanban","magnifier","orgChartAssistants","orgChartEditor","orgChartExtras","orgChartStatic","PERT","records","ScrollingTable","selectableFields","spreadsheet","swimLanes","swimLanesVertical","Table","timeline","tournament","umlClass","bpmn/BPMN"],"itemarrays":["addRemoveColumns","barCharts","candlestickCharts","CheckBoxes","ColumnResizing","connectionBoxNode","donutCharts","dragDropFields","dragOutFields","dynamicPieChart","dynamicPorts","entityRelationship","genogram","IVRtree","pageFlow","pieCharts","pipes","records","ScrollingTable","selectableFields","selectablePorts","spreadsheet","swimBands","timeline","umlClass","bpmn/BPMN"],"palette":["addToPalette","draggableLink","flowchart","flowgrammer","htmlDragDrop","htmlInteraction","logicCircuit","macros","network","networkConfig","pageFlow","pipes","planogram","PortShifting","productionEditor","regrouping","Robot","seatingChart","SnapLinkReshaping","Table","bpmn/BPMN"],"overview":["addToPalette","flowgrammer","magnifier","network","orgChartStatic","OverviewResizing","bpmn/BPMN"],"buttons":["adornmentButtons","basic","CheckBoxes","CurvedLinkReshaping","customExpandCollapse","decisionTree","DOMTree","dynamicPieChart","dynamicPorts","entityRelationship","faultTree","flowBuilder","grafcet","grouping","hoverButtons","incrementalTree","IVRtree","kanban","mindMap","orgChartAssistants","orgChartEditor","orgChartExtras","pageFlow","Parallel","parseTree","pipes","radialAdornment","regrouping","regroupingTreeView","Robot","ScrollingTable","spreadsheet","stateChart","stateChartIncremental","swimLanes","swimLanesVertical","treeMapper","treeView","triStateCheckBoxTree","umlClass","updateDemo","virtualized","bpmn/BPMN"],"geometries":["adornmentButtons","arrowheads","BalloonLink","belts","blockEditor","candlestickCharts","ColumnResizing","comments","controlGauges","donutCharts","draggableLink","dynamicPieChart","FreehandDrawing","genogram","GeometryReshaping","grafcet","icons","instrumentGauge","LinkShifting","multiArrow","multiColorLinks","OrthogonalLinkReshaping","ParallelRoute","pieCharts","pipes","PolygonDrawing","processFlow","productionEditor","productionProcess","radialAdornment","radialPartition","relationships","roundedGroups","ruleredDiagram","SectorReshaping","selectablePorts","shapes","sparklineGraphs","spreadsheet","taperedLinks","thermometer","tiger","twoHalves","wordcloud","bpmn/BPMN"],"animation":["animatedFocus","belts","customAnimations","dataVisualization","kittenMonitor","pathAnimation","processFlow","shopFloorMonitor","treeLoadAnimation"],"gridlayout":["Arranging","gLayout","icons","kanban","regrouping","regroupingTreeView","shapes","swimLanes","swimLanesVertical","visualTreeGrouping"],"customlayout":["Arranging","Fishbone","friendWheel","genogram","interactiveForce","kanban","PackedHierarchy","PackedLayout","PanelLayoutFlow","Parallel","parseTree","radial","radialPartition","sankey","Serpentine","sharedStates","Spiral","swimBands","SwimLaneLayout","swimLanes","swimLanesVertical","Table","timeline","TreeMap","virtualizedForceLayout","VirtualizedPacked","virtualizedTreeLayout","bpmn/BPMN"],"links":["arrowheads","AvoidsLinksRouter","BalloonLink","comments","connectionBoxNode","CurvedLinkReshaping","Dimensioning","draggableLink","dynamicPorts","Fishbone","grafcet","LinkLabelRouter","LinkShifting","linksToLinks","multiArrow","multiColorLinks","multiNodePathLinks","network","networkConfig","OrthogonalLinkReshaping","ParallelRoute","PolylineLinking","relationships","sankey","sequenceDiagram","SnapLinkReshaping","taperedLinks","timeline","wordcloud"],"circularlayout":["arrowheads","cLayout","doubleCircle","friendWheel"],"tooltips":["arrowheads","barCharts","basic","constantSize","dataVisualization","decisionTree","dynamicPieChart","familyTreeJP","grafcet","icons","kittenMonitor","leaflet","logicCircuit","navigation","orgChartAssistants","orgChartExtras","pieCharts","PortShifting","productionProcess","radial","radialPartition","TreeMap","virtualized","virtualizedForceLayout","virtualizedTree","virtualizedTreeLayout","bpmn/BPMN"],"circle-like":["arrowheads","cLayout","doubleCircle","friendWheel","radial","radialPartition"],"routing":["AvoidsLinksRouter","LinkLabelRouter"],"charts":["barCharts","candlestickCharts","canvases","donutCharts","dynamicPieChart","pieCharts","sparklineGraphs"],"groups":["basic","DataInspector","grouping","kanban","macros","navigation","Parallel","planogram","regrouping","regroupingTreeView","roundedGroups","sequenceDiagram","sharedStates","swimLanes","swimLanesVertical","Table","TreeMap","treeMapper","virtualized","visualTreeGrouping","bpmn/BPMN"],"contextmenus":["basic","customContextMenu","dynamicPorts","flowBuilder","htmlLightBoxContextMenu","mindMap","orgChartEditor","pipes","Robot","bpmn/BPMN"],"layereddigraphlayout":["beatPaths","customExpandCollapse","dataFlow","dataFlowVertical","flowBuilder","flowgrammer","genogram","ldLayout","pageFlow","PERT","sankey","sequentialFunction","swimLanes","swimLanesVertical"],"html":["canvases","cLayout","contentAlign","customContextMenu","customTextEditingTool","DataInspector","dataVisualization","distances","dragOutFields","fdLayout","gLayout","htmlDragDrop","htmlInteraction","htmlLightBoxContextMenu","ldLayout","productionEditor","productionProcess","Robot","stateChartIncremental","TextEditor","tLayout","TreeMap","twoDiagrams","updateDemo","ZoomSlider","bpmn/BPMN"],"frameworks":["canvases","htmlInteraction","planogram","vue","bpmn/BPMN"],"treelayout":["classHierarchy","comments","decisionTree","DOMTree","doubleTree","DragZooming","familyTree","familyTreeJP","faultTree","Fishbone","grouping","icons","IVRtree","localView","magnifier","mindMap","orgChartAssistants","orgChartEditor","orgChartExtras","orgChartStatic","Parallel","parseTree","pipeTree","RealtimeDragSelecting","regroupingTreeView","relationships","sparklineGraphs","swimBands","tLayout","tournament","treeMapper","treeView","triStateCheckBoxTree","umlClass","updateDemo","virtualizedTree","virtualizedTreeLayout","visualTree","visualTreeGrouping","wordcloud"],"collections":["cLayout","distances","doubleCircle","doubleTree","dragDropFields","draggableLink","dragOutFields","dynamicPieChart","fdLayout","Fishbone","flowgrammer","genogram","ldLayout","mindMap","multiNodePathLinks","navigation","pathAnimation","pipes","radial","radialPartition","RealtimeDragSelecting","regroupingTreeView","relationships","Robot","sharedStates","Table","tLayout","TreeMap","virtualized","virtualizedForceLayout","virtualizedTreeLayout","bpmn/BPMN"],"tools":["ColumnResizing","controlGauges","CurvedLinkReshaping","DragCreating","dragDropFields","draggableLink","dragOutFields","DragZooming","flowBuilder","FreehandDrawing","GeometryReshaping","grafcet","GuidedDragging","leaflet","LinkLabelDragging","LinkLabelOnPathDragging","LinkShifting","NodeLabelDragging","NonRealtimeDragging","OrthogonalLinkReshaping","OverviewResizing","pinchResizing","pipes","PolygonDrawing","PolylineLinking","PortShifting","RealtimeDragSelecting","Rescaling","ResizeMultiple","RotateMultiple","seatingChart","SectorReshaping","sequenceDiagram","sharedStates","SnapLinkReshaping","SpotRotating","swimLanes","swimLanesVertical","Table","bpmn/BPMN","floorplannerTS/index"],"forcedirectedlayout":["conceptMap","distances","entityRelationship","fdLayout","incrementalTree","interactiveForce","multiArrow","multiColorLinks","pathAnimation","taperedLinks","virtualizedForceLayout"],"ports":["connectionBoxNode","dataFlow","dataFlowVertical","dynamicPorts","PortShifting","selectablePorts"],"gauges":["controlGauges","instrumentGauge","thermometer"],"process":["dataFlow","dataFlowVertical","flowchart","grafcet","kanban","logicCircuit","pageFlow","processFlow","productionEditor","productionProcess","sequenceDiagram","sequentialFunction","stateChart","systemDynamics"],"inspector":["DataInspector","htmlInteraction","orgChartEditor","productionEditor"],"grid":["draggableLink","gantt","logicCircuit","planogram","PortShifting","processFlow","ruleredDiagram","scrollModes","sequenceDiagram","SnapLinkReshaping","warehouse"],"theme":["dynamicPorts","entityRelationship","flowchart","icons","IVRtree","orgChartEditor"],"svg":["flowchart","icons","minimalSvg","productionEditor","productionProcess","svgDataUrl","tiger"],"monitoring":["kittenMonitor","processFlow","productionProcess","shopFloorMonitor","warehouse"],"storage":["LocalStorageCommandHandler"],"export":["minimalBlob","minimalSvg","svgDataUrl","pdf/minimalPDF"],"performance":["virtualized","virtualizedForceLayout","VirtualizedPacked","virtualizedTree","virtualizedTreeLayout"]};

var allSamples = [["flowchart","Flowchart","A flowchart and palette, showing different node templates\r\nand data bindings. Each node has 3 or 4 port elements. Links are orthogonal and automatically avoid\r\nnodes.","flowchart","0.5"],["orgChartEditor","OrgChart Editor","An organizational chart that allows user editing and re-organizing of the hierarchy.","orgChartEditor","0.5"],["stateChart","State Chart","A state chart diagram that also shows dynamic creation of new nodes and links on a button\r\npress.","stateChart","0.5"],["familyTree","Family Tree","Shows a standard family tree.","familyTree","0.6"],["orgChartStatic","OrgChart (Static)","Shows an organizational chart, uses an in-laid Overview to aid the user in navigation, and\r\nallows the user to search by example.","orgChartStatic","0.7"],["genogram","Genogram","A genogram or pedigree chart is an extended family tree diagram that show information about\r\neach person or each relationship.","genogram","0.8"],["networkConfig","Network Configuration","Shows a CISCO-style network configuration diagram, with the ability to group nodes into\r\nsubnetworks.","networkConfig","0.8"],["warehouse","Warehouse Design","Warehouse design diagram with reshapable areas and disconnected links.","warehouse","0.9"],["sankey","Sankey","Sankey diagrams show the amount of flow between nodes by the width of the links.","sankey","0.99"],["blockEditor","Block Diagram","A simple block diagram editor that makes it easy for the user to chain together new nodes, with context menus for changing shapes and colors.","blockEditor","1"],["dynamicPorts","Dynamic Ports","Add ports to a selected node by clicking buttons or by using a context menu. Draw links by\r\ndragging between ports. If you select a link you can relink or reshape it.","dynamicPorts","1"],["kanban","Kanban Board","A Kanban board editor, allowing the categorization of editable tasks.","kanban","1"],["kittenMonitor","Kitten Monitor","A monitoring diagram where the nodes (kittens) move on a background image (a house plan),\r\nwith tooltips describing kittens.","kittenMonitor","1"],["logicCircuit","Logic Circuit","A functioning logic circuit diagram, which allows the user to make circuits using gates and wires.","logicCircuit","1"],["pipes","Pipes","Showcasing nodes (Pipes) that can be joined, and will snap and drag together.","pipes","1"],["processFlow","Process Flow","Tanks, valves, and pipes, with animated flow in the pipes.","processFlow","1"],["productionEditor","Process Editor","A designer for creating production process diagrams.","productionEditor","1"],["productionProcess","Production Process","Partially describes the production process for converting natural gas and oil byproducts into\r\ntheir end products.","productionProcess","1"],["records","Record Mapper","Displays a variable number of fields for each record, with links mapping one field to another.","records","1"],["seatingChart","Seating Chart","This sample demonstrates custom logic in a GoJS diagram - a 'Person' node can be dropped onto a 'Table' node, causing the person to be assigned a position at the closest empty seat at that table.","seatingChart","1"],["swimBands","Layer Bands","Layer Bands are automatically created for each 'layer' of a TreeLayout, and run perpendicular to the layout.","swimBands","1"],["swimLanes","Swim Lanes","Demonstrates collapsible, resizable, re-orderable swimlanes, a kind of process-flow diagram,\r\nwith custom dragging rules that disallow nodes from leaving their lane.","swimLanes","1"],["systemDynamics","System Dynamics","A System Dynamics diagram shows the storages and flows of material in some system, and the\r\nfactors that influence the rates of flow.","systemDynamics","1"],["treeMapper","Tree Mapper","Displays two trees, allowing the user to dynamically draw or reconnect links mapping data from field to another.","treeMapper","1"],["shapes","Shapes","Showcases all pre-defined GoJS figures. You can define your own named Shape figures.","shapes","1.1"],["treeView","Tree View","Demonstrates a traditional 'Tree View' in a GoJS diagram, with optional orthogonal links\r\nbetween the nodes.","treeView","1.1"],["Dimensioning","Dimensioning","Demonstrates custom Links that show the distance between two points.","Dimensioning","1.2"],["controlGauges","Meter and Gauge Controls","Various meters and gauges that show particular values and can be modified by the user by\r\ndragging.","controlGauges","1.5"],["absolute","Absolute Positioning","A diagram that does not scroll or zoom or allow parts to be dragged out of a fixed area.","absolute","2"],["Accessibility","Accessibility with AriaCommandHandler","AriaCommandHandler .","Minimal","2"],["addRemoveColumns","Add/Remove Table Columns","Demonstrates adding and removing columns of a Table Panel.","addRemoveColumns","2"],["addToPalette","Adding Nodes to the Palette","Select and edit a node and add a copy of it to the palette.","addToPalette","2"],["adornmentButtons","Adornment Buttons","Selected nodes show a row of buttons that execute commands or start tools.","adornmentButtons","2"],["animatedFocus","Animated Scroll and Attention","Aninmated focus by scrolling to a node along with animation of the size of the node to draw attention to it..","animatedFocus","2"],["Arranging","Arranging Layout","The Arranging layout is a layout of layouts, plus a third layout for arranging left-overs.","Arranging","2"],["arrowheads","Arrowheads","Showcases all pre-defined Link arrowheads. You can define your own named arrowhead\r\ngeometries.","arrowheads","2"],["AvoidsLinksRouter","Avoids Links Router","A custom Router that moves Link segments to parallelize and avoid overlaps.","Minimal","2"],["BalloonLink","Balloon Links","Demonstrates custom Links that create a 'Balloon' around the fromNode.","BalloonLink","2"],["barCharts","Bar Charts","Simple bar charts or histograms within nodes.","barCharts","2"],["basic","Basic","Shows many of the commands possible in GoJS, templates for Links and for Groups, plus tooltips and context menus for Nodes, for Links, for Groups, and for the Diagram.","basic","2"],["beatPaths","Beat Paths","Demonstrates reading JSON data describing the relative rankings of NFL teams at a particular moment in time and generating a diagram from that data.","beatPaths","2"],["belts","Belts and Rollers","Show continuous belts winding by circular rollers","belts","2"],["candlestickCharts","Candlestick Charts","Simple candlestick or range charts within nodes.","candlestickCharts","2"],["canvases","Charts in Nodes","Shows how to render a data-driven chart within each Node using the Chart.js library.","canvases","2"],["CheckBoxes","Checkboxes","Demonstrates simple uses of CheckBoxButtons.","Checkboxes","2"],["classHierarchy","Class Hierarchy","Displays the GoJS Class Hierarchy as a series of trees. Double-click to go to the class's API documentation.","classHierarchy","2"],["cLayout","Circular Layout","Shows CircularLayout and options. This layout positions nodes in a circular arrangement.","cLayout","2"],["ColumnResizing","Column Resizing","Two custom Tools that let the user resize the width of columns or the height of rows in a\r\nTable Panel of a Node.","ColumnResizing","2"],["comments","Comments","GoJS supports the notion of 'Comments', including the ability to create balloon-like comments.","comments","2"],["conceptMap","Concept Map","A web of interlinked concepts displayed with a ForceDirected Layout, showcasing link labels.","conceptMap","2"],["connectionBoxNode","Connection Box","A Node containing ports that allow linking between them, within the node as well as between nodes, with custom link validation.","connectionBoxNode","2"],["constantSize","Constant Size","Kitten Monitor with constant size markers and tooltips when zooming out.","kittenMonitor","2"],["contentAlign","Content Alignment","Showcases alignment properties of the Diagram.","contentAlign","2"],["CurvedLinkReshaping","Curved Link Reshaping","A custom Tool that lets the user reshape curved links with a single handle.","CurvedLinkReshaping","2"],["customAnimations","Custom Animations","Shows how to create several custom Node animations.","customAnimations","2"],["customContextMenu","Context Menu","Demonstrates the implementation of a custom HTML context menu.","customContextMenu","2"],["customExpandCollapse","Custom Expand and Collapse","Shows how to create Buttons with custom behavior for expanding/collapsing of a graph.","customExpandCollapse","2"],["customTextEditingTool","Custom Text Editor","Demonstrates using a custom HTML element for in-place editing of a TextBlock.","customTextEditingTool","2"],["dataFlow","Data Flow","Show the processing steps involved in a database transformation or query, with labeled ports.","dataFlow","2"],["dataFlowVertical","Data Flow Vertical","Same as Data Flow, but vertically oriented, and with slightly different styling.","dataFlowVertical","2"],["DataInspector","Data Inspector","A simple drop-in for inspecting and editing Part data.","DataInspector","2"],["dataVisualization","Data Visualization","A data-visualization demonstration that showcases GoJS interacting with other elements on the page.","dataVisualization","2"],["decisionTree","Decision Tree","Allows a user to make progressive decisions.","decisionTree","2"],["distances","Distances & Paths","Show distances between two nodes and highlights one of all possible paths between the nodes.","distances","2"],["DOMTree","DOM Tree","Shows the DOM of this page displayed as a tree. Selection highlights the DOM element in the page.","DOMTree","2"],["donutCharts","Donut Charts","Ring-shaped pie charts within nodes.","donutCharts","2"],["doubleCircle","Double Circle","Multiple circles using repeated CircularLayouts.","doubleCircle","2"],["doubleTree","Double Tree","Displays a single diagram of two trees sharing a single root node growing in opposite directions, using the DoubleTreeLayout extension.","doubleTree","2"],["DragCreating","DragCreating","A custom Tool that lets a user draw a box showing where and how large a new node should be.","DragCreating","2"],["dragDropFields","Drag and Drop Fields","Drag and drop fields from/to record Nodes.","records","2"],["draggableLink","Draggable Link","Showcases draggable disconnectable links that can be connected by dropping one or both ends at a valid port.","draggableLink","2"],["dragOutFields","Drag Out Fields","Drag out fields from record Nodes to an HTML element.","records","2"],["dragUnoccupied","Drag Unoccupied","Demonstrates a function to avoid any overlapping of nodes during dragging.","dragUnoccupied","2"],["DragZooming","Drag Zooming","A custom Tool that lets a user draw a box showing what to zoom in to.","DragZooming","2"],["DrawCommandHandler","Drawing Commands","Demonstrates custom CommandHandler which provides alignment commands and additional behaviors\r\nfor the arrow keys.","DrawCommandHandler","2"],["dynamicPieChart","Dynamic Pie Chart","Dynamic pie chart with selectable slices that can change size.","dynamicPieChart","2"],["entityRelationship","Entity Relationship","An entity relationship diagram, showcasing data binding with item arrays.","entityRelationship","2"],["euler","Euler Diagram","A read-only diagram where clicking on a node will open a new webpage.","euler","2"],["familyTreeJP","Family Tree (Japanese)","Shows a standard family tree.","familyTreeJP","2"],["faultTree","Fault Tree","A fault tree diagram with collapsing/expanding subtrees and gates at each non-root node.","faultTree","2"],["fdLayout","Force Directed","Shows ForceDirectedLayout and options. Treats the graph as if it were a system of physical bodies with forces acting on them and between them.","fdLayout","2"],["Fishbone","Fishbone Layout","The Fishbone or Ishikawa layout is a tree layout for cause-and-effect relationships.","Fishbone","2"],["flowBuilder","Flow Builder","Demonstrates a flow builder where nodes/links can be created or dropped onto a recycling node.","flowBuilder","2"],["flowgrammer","Flowgrammer","Demonstrates a flow-chart-like editor of a restricted syntax language.  Uses the ParallelLayout extension.","flowgrammer","2"],["FreehandDrawing","Freehand Drawing","A custom Tool that lets the user interactively draw a line, converting it into a Shape.","FreehandDrawing","2"],["friendWheel","Friend Wheel","Demonstrates a customized CircularLayout.","friendWheel","2"],["gameOfLife","Game of Life","A cellular automation simulation.","gameOfLife","2"],["gantt","Gantt","Demonstrates a simple Gantt chart.","gantt","2"],["GeometryReshaping","Geometry Reshaping","A custom Tool that supports interactive reshaping of Geometries.","GeometryReshaping","2"],["gestureBehavior","Gesture Behavior","Shows different options for ToolManager's gestureBehavior.","minimal","2"],["gLayout","Grid Layout","Shows GridLayout and options. Places all of the Parts in a grid-like arrangement, ordered, spaced apart, and wrapping as needed.","gLayout","2"],["grafcet","Grafcet Diagrams","A Grafcet is a kind of sequential function chart used in automation design.","grafcet","2"],["grouping","Grouping","Demonstrates subgraphs that are created only as groups are expanded.","grouping","2"],["GuidedDragging","Guided Dragging","A custom DraggingTool that makes guidelines visible as a Part is dragged around a Diagram and is nearly aligned with another Part.","GuidedDragging","2"],["hoverButtons","Hover Buttons","Shows buttons in an Adornment upon hover over a node.","hoverButtons","2"],["htmlDragDrop","HTML Drag and Drop","Demonstrates dragging and dropping from HTML, and pasting from the external clipboard.","htmlDragDrop","2"],["htmlInteraction","HTML Interaction","Contains two draggable HTML elements (using jQuery UI). One of the two HTML elements houses a\r\npanel that interacts with the main Diagram.","htmlInteraction","2"],["htmlLightBoxContextMenu","HTML LightBox Context Menu","Shows a LightBox style HTML Context Menu.","htmlLightBoxContextMenu","2"],["Hyperlink","Hyperlinks","Demonstrates usage of the HyperlinkText extension.","Hyperlink","2"],["icons","SVG Icons","Create your own custom Shapes using SVG path strings. This sample uses SVG strings from a free icon set.","icons","2"],["incrementalTree","Incremental Tree","Demonstrates the expansion of a tree where nodes are only created 'on-demand', when the user clicks on the 'expand' Button.","incrementalTree","2"],["instrumentGauge","Instrument Gauge","A gauge using a scale made with a Graduated Panel.","instrumentGauge","2"],["interactiveForce","Interactive Force","A continuous ForceDirectedLayout that occurs as the user drags around a node.","interactiveForce","2"],["IVRtree","IVR Tree","Diagram representation of an Interactive Voice Response Tree (IVR tree). Nodes may have a collapsible list of details.","ivrTree","2"],["ldLayout","Layered Digraph","Shows LayeredDigraphLayout and options. Arranges nodes of directed graphs into layers (rows or columns).","ldLayout","2"],["leaflet","GoJS and Leaflet Map","A GoJS diagram atop a Leaflet.js map, with nodes placed at latitude and longitude based\r\nlocations.","leaflet","2"],["LinkLabelDragging","Link Label Dragging","A custom Tool that lets the user drag a label on a Link and that keeps its relative position\r\nto the link.","LinkLabelDragging","2"],["LinkLabelOnPathDragging","Link Label On Path Dragging","A custom Tool that lets the user drag a label on a Link and that keeps the label along the\r\npath of the link.","LinkLabelOnPathDragging","2"],["LinkLabelRouter","Link Label Router","A custom Router that moves Link Labels to avoid overlaps.","Minimal","2"],["LinkShifting","Link Shifting","A custom Tool that adds handles on Links to allow the user to shift the end point of the Link\r\nalong the sides of the port without disconnecting it.","LinkShifting","2"],["linksToLinks","Links to Links","Demonstrates the ability for a Link to appear to connect with another Link, using label nodes that belong to links. ","linksToLinks","2"],["LocalStorageCommandHandler","Local Storage Commands","Demonstrates custom CommandHandler which uses localStorage as the repository for the\r\nclipboard, rather than an in-memory global variable, allowing for copying between tabs and windows.","minimal","2"],["localView","Local View","Two diagrams, the one on top showing a full tree and the one below focusing on a specific node in the tree and those nodes that are logically 'near' it.","localView","2"],["macros","Macros","Demonstrates an automatic ungrouping of nodes when dropping an element on the diagram.","macros","2"],["magnifier","Magnifier","An Overview used as a magnifying glass.","magnifier","2"],["mindMap","Mind Map","A Mind Map, a double-tree whose nodes have an 'add' button when selected and a context menu.","mindMap","2"],["minimal","Minimal","Shows default Diagram interactivity and basic data binding. Select, move, copy, delete, undo, redo with keyboard or touch.","minimal","2"],["minimalBlob","Minimal Image Download","Minimal, showing image Blob creation with Diagram.makeImageData, and download.","minimal","2"],["minimalSvg","Minimal SVG Download","Minimal, showing SVG creation with Diagram.makeSvg, and download.","minimal","2"],["multiArrow","Multiple Arrowheads","A custom orthogonal Link that draws arrowheads at the end of each segment.","multiArrow","2"],["multiColorLinks","Multi-color Links","Demonstrates a custom Link that can be stroked with multiple consecutive colors.","multiColorLinks","2"],["multiNodePathLinks","Multi-Node Path Links","Demonstrates custom routing for Links running through other Nodes.","multiNodePathLinks","2"],["navigation","Navigation","Displays relationships between different parts of a diagram.","navigation","2"],["network","Network","Shows a network configurator with a Palette and Overview.","network","2"],["NodeLabelDragging","Node Label Dragging","A custom Tool that lets the user drag a label in a Spot Panel of a Node.","NodeLabelDragging","2"],["NonRealtimeDragging","Non Realtime Dragging","A custom DraggingTool that lets the user drag a translucent image of the Nodes and Links to\r\nbe moved, leaving them in place until the mouse up.","NonRealtimeDragging","2"],["orgChartAssistants","Org Chart Assistants","Shows an org chart with assistant nodes at the side, above regular child nodes.","orgChartAssistants","2"],["orgChartExtras","Org Chart Extras","Shows an org chart with extra links and expand/collapse functionality.","orgChartExtras","2"],["OrthogonalLinkReshaping","Orthogonal Link Reshaping","A custom Tool that lets the user reshape orthogonal links by dragging entire segments.","OrthogonalLinkReshaping","2"],["OverviewResizing","Overview Resizing","A custom Tool which allows the user to resize the overview box.","OverviewResizing","2"],["PackedHierarchy","Packed Hierarchy","A customized PackedLayout that arranges nested circular groups.","PackedHierarchy","2"],["PackedLayout","Packed Layout","A custom Layout that positions nodes in a packed area.","PackedLayout","2"],["pageFlow","Page Flow","A diagram representation of webpage flow.","pageFlow","2"],["panelLayout","Panel Layout","Shows how to create a custom PaneLayout.","minimal","2"],["PanelLayoutFlow","Flow PanelLayout","A custom PanelLayout that arranges panel elements into rows or columns.","PanelLayoutFlow","2"],["Parallel","Parallel Layout","A custom Layout that assumes there is a single 'split' and a single 'merge' node with\r\nparallel lines of nodes connecting them.","Parallel","2"],["ParallelRoute","Parallel Route Links","Demonstrates custom Links that route parallel to other Links between the same two ports.","ParallelRoute","2"],["parseTree","Parse Tree","A Parse tree representing the syntactic structure of a sentence. The leaf nodes are shown in a horizontal line.","parseTree","2"],["pathAnimation","Path Animation","Animation of diagram parts (tokens) along link paths.","pathAnimation","2"],["PERT","PERT","A simple PERT chart, showcasing GoJS table panels and RowColumnDefinition properties.","pert","2"],["pieCharts","Pie Charts","Simple pie charts within nodes.","pieCharts","2"],["pinchResizing","Pinch Zooming","Demonstrates customization of pinch-zooming to scale a node.","minimal","2"],["pipeTree","Pipe Tree","A tree layout with rectangular nodes at alternating angles and no links.","pipeTree","2"],["planogram","Planogram","Drag-and-drop items from the Palette onto racks in the Diagram.","planogram","2"],["PolygonDrawing","Polygon Drawing","A custom Tool that lets the user interactively draw polygons and polyline Shapes.","PolygonDrawing","2"],["PolylineLinking","Polyline Linking","A custom LinkingTool that lets the user determine the route of a new Link by clicking.","PolylineLinking","2"],["PortShifting","Port Shifting","A custom Tool that lets the user drag a port in a Spot Panel of a Node.","PortShifting","2"],["radial","Recentering Radial","Arrange people in circles around a central person, in layers according to distance from the central person.","radial","2"],["radialAdornment","Radial Adornment Buttons","An adornment showing buttons in a circle on one selected node.","radialAdornment","2"],["radialPartition","Radial Partition","Arrange people in rings around a central person, in layers according to distance from the central person.","radialPartition","2"],["RealtimeDragSelecting","Realtime Drag Selecting","A custom Tool that lets a user drag and create a box to select nodes and links.","realtimeDragSelecting","2"],["regrouping","Regrouping","Allows the user to drag nodes, including groups, into and out of groups, both from the\r\nPalette as well as from within the Diagram.","regrouping","2"],["regroupingTreeView","Regrouping Tree View","Regrouping with tree view of grouping hierarchy.","regrouping","2"],["relationships","Relationships","Shows how you can create custom renderings for Links by repeatedly drawing GraphObjects along the route.","relationships","2"],["Rescaling","Rescaling","A custom Tool that lets a user change the scale of an object.","Rescaling","2"],["ResizeMultiple","Resize Multiple","A custom ResizingTool that lets the user resize many selected objects at once.","ResizeMultiple","2"],["Robot","Simulating Input","Demonstrates use of the Robot class to simulate mouse events.","robot","2"],["RotateMultiple","Rotate Multiple","A custom RotatingTool that lets the user rotate many selected objects at once.","RotateMultiple","2"],["roundedGroups","Rounded Groups","Groups consisting of a RoundedTopRectangle and a RoundedBottomRectangle figure surrounding\r\nthe Group's Placeholder.","roundedGroups","2"],["ruleredDiagram","Rulered Diagram","A diagram with Graduated Panels at the edges acting as rulers.","ruleredDiagram","2"],["ScrollingTable","Scrolling Table","Demonstrates a custom Table Panel with a scrollbar implemented in GoJS, including two\r\nAutoRepeatButtons.","ScrollingTable","2"],["scrollModes","Scroll Modes","Shows infinite scrolling and positionComputation.","scrollModes","2"],["SectorReshaping","Sector Reshaping","A custom Tool that supports interactive reshaping of pie-shaped sectors of circles.","SectorReshaping","2"],["selectableFields","Selectable Fields","Records with fields that the user can select.","selectableFields","2"],["selectablePorts","Selectable Ports","A Node with ports that can be selected and deleted.","selectablePorts","2"],["sequenceDiagram","Sequence Diagram","A sequence diagram illustrates how different processes interact with one-another and in what order.","sequenceDiagram","2"],["sequentialFunction","Sequential Function","A sequence diagram that shows different node templates, LayeredDigraphLayout and in-place text editing.","sequentialFunction","2"],["Serpentine","Serpentine Layout","A custom Layout that positions a chain of nodes in rows of alternating direction.","Serpentine","2"],["sharedStates","Shared States","As an alternative to using Groups, this manages Nodes that simultaneously belong to multiple containers.","sharedStates","2"],["shopFloorMonitor","Shop Floor Monitor","Shows the continuously updating state of a number of stations on an imaginary shop floor.","shopFloorMonitor","2"],["singlePage","Single Page View","Show a diagram on a sheet of paper, limiting dragging and resizing to stay within the page minus margins.","singlePage","2"],["SnapLinkReshaping","Snap Link Reshaping","A custom Tool that allows reshaping links with grid snapping.","SnapLinkReshaping","2"],["spacingZoom","Spacing Zoom","When zooming, change the spacing of the Nodes, not the Diagram.scale.","minimal","2"],["sparklineGraphs","Sparkline Graphs","Simple sparkline charts within nodes.","sparklineGraphs","2"],["Spiral","Spiral Layout","A custom Layout that positions a chain of nodes in a spiral.","Spiral","2"],["SpotRotating","Spot Rotating","A custom RotatingTool that lets the user shift the rotation point.","SpotRotating","2"],["spreadsheet","Spreadsheet","An example of nested Table Panels forming a spreadsheet-like grid.","spreadsheet","2"],["stateChartIncremental","Incremental State Chart","State Chart using incremental JSON.","stateChart","2"],["svgDataUrl","SVG Data URL","In makeSvg, replace image sources with Base64","svgDataUrl","2"],["SwimLaneLayout","Swim Lane Layout","A custom Layout that puts nodes into swimlanes with dependencies that cross lanes.","SwimLaneLayout","2"],["swimLanesVertical","Swim Lanes Vertical","Demonstrates collapsible, resizable, re-orderable swimlanes, a kind of process-flow diagram,\r\nwith custom dragging rules that disallow nodes from leaving their lane.","swimLanesVertical","2"],["Table","Table Layout","A custom Layout that arranges Nodes just as a Table Panel arranges GraphObjects.","Table","2"],["taperedLinks","Tapered Links","Demonstrates a custom Geometry for Link paths.","taperedLinks","2"],["TextEditor","HTMLInfo Text Editor","Demonstrates using an HTMLInfo that acts as a re-implementation of the default text editor.","TextEditor","2"],["thermometer","Thermometer","Graduated thermometer scales using Graduated Panel.","thermometer","2"],["tiger","SVG Tiger","Shows a tiger rendered in SVG without using a Picture","tiger","2"],["timeline","Timeline","A simple timeline with events arranged along a line.","timeline","2"],["tLayout","Tree Layout","Shows TreeLayout and options. Positions nodes of a tree-structured graph in layers (rows or columns). ","tLayout","2"],["tournament","Tournament","Tournament bracket with dynamic advancement as scores are entered.","tournament","2"],["treeLoadAnimation","Tree Load Animation","Shows how to create a custom Diagram loading animation.","treeLoadAnimation","2"],["TreeMap","Tree Map Layout","A custom Layout that renders nested Groups into the viewport with each Node having an area\r\nproportional to its declared 'size'.","TreeMap","2"],["triStateCheckBoxTree","Tri-state CheckBox Tree","Demonstrates a traditional 'Tree View' in a GoJS diagram, where each item has a checkbox with three states.","triStateCheckBoxTree","2"],["twoDiagrams","Two Diagrams","Demonstrates drag and drop between two different diagrams using a shared UndoManager.","minimal","2"],["twoHalves","Two Halves","Nodes consisting of two Panels, using a RoundedTopRectangle and a RoundedBottomRectangle\r\nfigure.","twoHalves","2"],["umlClass","UML Class","A UML Class diagram shows software classes and their properties and methods, and the relationships between them.","umlClass","2"],["updateDemo","Update Demo","Showcases two Diagrams observing the same Model. Modifying positions in one Diagram will modify them in the model, updating the other Diagram as well.","updateDemo","2"],["virtualized","Virtualized","Virtualized no Layout, an example of virtualization where the model holds 123,456 node data yet the diagram only creates a few nodes at a time.","virtualized","2"],["virtualizedForceLayout","Virtualized ForceDirected Layout","Shows a virtualized ForceDirectedLayout with GraphLinksModel.","virtualizedForceLayout","2"],["VirtualizedPacked","Virtualized Packed Layout","A virtualized version of PackedLayout that positions nodes in a packed area.","VirtualizedPacked","2"],["virtualizedTree","Virtualized Tree","An example of virtualization where the model holds 123,456 node data yet the diagram only creates a few nodes at a time.","virtualizedTree","2"],["virtualizedTreeLayout","Virtualized TreeLayout","Shows a virtualized TreeLayout with TreeModel.","virtualizedTree","2"],["visualTree","Visual Tree","This sample shows the actual visual tree of a running Diagram, using a second Diagram.","visualTree","2"],["visualTreeGrouping","Visual Tree Using Groups","This shows the same visual tree using nested Groups instead of nodes and links.","visualTreeGrouping","2"],["vue","Minimal Vue.js","Minimal, using Vue.js.","vue","2"],["wordcloud","Word Cloud","A word cloud visualization using the PackedLayout extension.","wordcloud","2"],["ZoomSlider","Zoom Slider","Demonstrates use of the ZoomSlider class to zoom in/out using a control.","zoomSlider","2"],["bpmn/BPMN","BPMN Editor","The start of a Business Process Model and Notation editor.","BPMN","2"],["pdf/minimalPDF","PDF generation","Generating a PDF file holding all of the pages of a Diagram's rendering.","minimal","2"],["floorplannerTS/index","Floor Planner","Example Floor planning app with custom tools.","FloorplannerTS","3"]];
